#3074 closed defect (fixed)

gcc version report for released tools is wrong.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11.3
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

RTEMS 4.11.2 Released Tools version is wrong:

$ /opt/work/rtems/4.11/bin/arm-rtems4.11-gcc --version
arm-rtems4.11-gcc (GCC) 4.9.3 20150626 (RTEMS 4.11, RSB no-repo, Newlib 2.2.0.20150423)
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

The RSB field should be 4.11.2.

Change History (1)

comment:1 Changed on Feb 7, 2018 at 9:54:15 PM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 3822803/rtems-source-builder:

gcc: Use the RSB release for released tools.

Using the RSB release version for the gcc version string means the
tools have a version string that matches the release.

Close #3074

Note: See TracTickets for help on using tickets.